/* 2. Schreiben Sie ein Programm, das folgendes Menü anbietet:
s - Summe, d - Differenz, p - Produkt, q - Quotient, zwei beliebige Zahlen als
Operanden sowie den Buchstaben für das gewünschte Resultat einliest und die
entsprechende Aktion realisiert.
------------------------------------------------------------------------------*/
#include <stdlib.h>
int main()
{  char menue; float a, b;  int k;
   printf("\n s, S, +    - Summe\n d, D, -    - Differenz\n p, P, *    - Produk"
          "t\n q, Q, :, / - Quotient\n");
   printf("\n Bitte die gewuenschte Rechnung: ");
   k=scanf("%f %c %f", &a, &menue, &b);
   if( k!=3)printf(" Falsche Eingabe! k = %i, %f %c %f\n", k, a, menue, b);
   else
   switch(menue)
   { case 's': case 'S': case '+': printf("\n %f + %f = %f", a, b, a + b); break;
     case 'd': case 'D': case '-': printf("\n %f - %f = %f", a, b, a - b); break;
     case 'p': case 'P': case '*': printf("\n %f * %f = %f", a, b, a * b); break;
     case 'q': case 'Q': case ':': case '/':
                       if( b==0) printf("\n Division durch 0 nicht definiert!");
                       else printf("\n %f / %f = %f", a, b, a / b); break;
     default: printf("\n Falsche Eingabe!");
   }
   printf("\n\n");   system("PAUSE");   return 0;
}
